Is the embedded JAVA 8.0 patchable for Server and Client Workstations .

Document ID : KB000013113
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:
When we upgrade to v13.0, will the JAVA version used with HARVEST Server and Client be patchable? There were some concerns of vulnerability without being able to patch the workstations and the server. Can the JAVA version be patched if needed?
Environment:
CA Harvest SCM v13.0
Answer:

With V13 and going forward, the JRE is only included with the client components (full client and workbench-only).  Server and agent machines will not have a SCM-specific copy of the JRE so they should not be a problem.

For the full client and workbench-only client, on all platforms except Windows, upgrading Java is not a problem.  This can be done as needed.  The Workbench-only clients are on Linux OS and MAC OS.

For the full client and workbench-only client on the Windows platforms, you will need to request an Efix in order to upgrade Java on these machines.  As of now we don’t have a way to configure it so that Java can be upgraded as needed. 

Additional Information:

As always, please contact CA Technologies support for CA Harvest Software Change Manager if you have further questions.